org.eclipse.ease.lang.unittest.ui.views

## Class TestSuiteLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.ease.lang.unittest.ui.views.TestSuiteLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

    public class TestSuiteLabelProvider
    extends LabelProvider

### Constructor Summary

Constructors
Constructor and Description
`TestSuiteLabelProvider(LocalResourceManager resourceManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Constructor Detail

#### TestSuiteLabelProvider

    public TestSuiteLabelProvider(LocalResourceManager resourceManager)

### Method Detail

#### getText

    public java.lang.String getText(java.lang.Object element)

Specified by:
  `getText` in interface `ILabelProvider`
Overrides:
  `getText` in class `LabelProvider`

#### getImage

    public Image getImage(java.lang.Object element)

Specified by:
  `getImage` in interface `ILabelProvider`
Overrides:
  `getImage` in class `LabelProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `BaseLabelProvider`